Download it now!
Bug 89806 - Table cell background fill properties are not saved when saved as .pptx.
Summary: Table cell background fill properties are not saved when saved as .pptx.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Sushil Shinde
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-03 16:04 UTC by Sushil Shinde
Modified: 2015-03-20 08:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
PPTX file with table fills. (39.37 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-03-03 16:04 UTC, Sushil Shinde
Details
.odp file with table fills. (28.19 KB, application/vnd.oasis.opendocument.presentation)
2015-03-03 16:05 UTC, Sushil Shinde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sushil Shinde 2015-03-03 16:04:03 UTC
Created attachment 113853 [details]
PPTX file with table fills.

Steps to reproduce this issue:
1. Create a presentation file on latest master.
2. Insert a table.
3. Apply some background proeprties to Table cells
   ex. Picture fill, solid coluors or gradient colours etc.
4. Save file as .pptx file.
5. Open saved file on LO again.

OR 
1. Open .odp attached file on latest master and save it as .pptx file.

OR 
1. Open attached .pptx file on latest master and save it as .pptx again.

Current behaviour:
1. If opened saved file on LO again, background fill for table cell is missing.

Expected behaviour:
1. Table cell fill data should be exported properly.
Comment 1 Sushil Shinde 2015-03-03 16:05:10 UTC
Created attachment 113854 [details]
.odp file with table fills.
Comment 2 A (Andy) 2015-03-05 22:39:49 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 3 Sushil Shinde 2015-03-09 05:58:41 UTC
Pushed changes to fix this issue.
Please verify : https://gerrit.libreoffice.org/#/c/14734/
Comment 4 Commit Notification 2015-03-20 08:13:47 UTC
Sushil Shinde committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63442ec636d637e05d7d585817df531dbbeb96d9

tdf#89806 : Fixed background fill export for table cell.

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.